Package org.apache.lucene.util.bkd

## Class HeapPointReader

- java.lang.Object
- - org.apache.lucene.util.bkd.HeapPointReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `PointReader`

      public final class HeapPointReader
      extends Object
      implements PointReader

  Utility class to read buffered points from in-heap arrays.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `next()` | Returns false once iteration is done, else true.
    `PointValue` | `pointValue()` | Sets the packed value in the provided ByteRef

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### next

          public boolean next()

      Description copied from interface: `PointReader`
      Returns false once iteration is done, else true.
      Specified by:
        `next` in interface `PointReader`

    - #### pointValue

          public PointValue pointValue()

      Description copied from interface: `PointReader`
      Sets the packed value in the provided ByteRef
      Specified by:
        `pointValue` in interface `PointReader`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`